#ifndef MTD_DARWIN_H_
#define MTD_DARWIN_H_

#include "mtd.h"

class DarwinDiscCheckingThread : public DiscCheckingThread
{

  public:
  
    DarwinDiscCheckingThread( MTD *owner,
                        DVDProbe *probe, 
                        QMutex *drive_access_mutex,
                        QMutex *mutex_for_titles);
    virtual void run();
    
    virtual void DoProbe(const char *inDeviceName);
    virtual void DiskRemoved(const char *inDeviceName);
    
  protected:
};

#endif // MTD_DARWIN_H_